> ## Documentation Index
> Fetch the complete documentation index at: https://integration.delogue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List style custom field definitions with filtering, sorting, and pagination.

> Supply filter + sort + pageSize + pageNumber for page-based results, or a cursor for cursor-based results. cursor is mutually exclusive with filter, sort, pageSize, and pageNumber.



## OpenAPI

````yaml /openapi/external.enriched.json get /api/style-custom-fields
openapi: 3.1.1
info:
  title: Delogue External API - (Production)
  description: Integration endpoints for Delogue API
  version: 1.0.0
servers:
  - url: >-
      http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/
security: []
tags:
  - name: SubSuppliers
  - name: StyleSupplierFacilities
  - name: StyleSkus
  - name: Styles
  - name: SampleRequests
  - name: StyleRelations
  - name: Style Prices
  - name: StyleItems
  - name: StyleFiles
  - name: StyleCustomFields
  - name: StyleContacts
  - name: StyleCategories
  - name: StyleCareInstructions
  - name: SizeRanges
  - name: Seasons
  - name: SampleTypes
  - name: Organizations
  - name: MeasurementCharts
  - name: Items
  - name: ItemCategories
  - name: Groups
  - name: Facilities
  - name: ComplianceCustomFields
  - name: ComplianceCategories
  - name: Color Groups
  - name: Colors
  - name: CareInstructions
  - name: CareInstructionMaterials
  - name: CareInstructionLayers
  - name: CareInstructionIcons
  - name: Brands
  - name: Barcodes
paths:
  /api/style-custom-fields:
    get:
      tags:
        - StyleCustomFields
      summary: >-
        List style custom field definitions with filtering, sorting, and
        pagination.
      description: >-
        Supply filter + sort + pageSize + pageNumber for page-based results, or
        a cursor for cursor-based results. cursor is mutually exclusive with
        filter, sort, pageSize, and pageNumber.
      parameters:
        - name: Search
          in: query
          schema:
            type: string
        - name: Ids
          in: query
          schema:
            type: array
            items:
              pattern: ^-?(?:0|[1-9]\d*)$
              type:
                - integer
                - string
              format: int64
        - name: Names
          in: query
          schema:
            type: array
            items:
              type: string
        - name: UserDefinedIds
          in: query
          schema:
            type: array
            items:
              type: string
        - name: Types
          in: query
          schema:
            type: array
            items:
              type: string
        - name: State
          in: query
          schema:
            $ref: '#/components/schemas/StyleCustomFieldState'
        - name: IsMandatory
          in: query
          schema:
            type: boolean
        - name: IsSupplierEditable
          in: query
          schema:
            type: boolean
        - name: InternalOnly
          in: query
          schema:
            type: boolean
        - name: BrandIds
          in: query
          schema:
            type: array
            items:
              pattern: ^-?(?:0|[1-9]\d*)$
              type:
                - integer
                - string
              format: int64
        - name: GroupIds
          in: query
          schema:
            type: array
            items:
              pattern: ^-?(?:0|[1-9]\d*)$
              type:
                - integer
                - string
              format: int64
        - name: StyleCategoryIds
          in: query
          schema:
            type: array
            items:
              pattern: ^-?(?:0|[1-9]\d*)$
              type:
                - integer
                - string
              format: int64
        - name: ParentCustomFieldId
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int64
        - name: sort
          in: query
          schema:
            type: array
            items:
              $ref: '#/components/schemas/SortDescriptorDto'
        - name: pageSize
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
        - name: pageNumber
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
        - name: cursor
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiPaginatedResponseOfStyleCustomFieldDto'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiPaginatedResponseOfStyleCustomFieldDto'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiPaginatedResponseOfStyleCustomFieldDto'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '500':
          description: Internal Server Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
      security:
        - {}
components:
  schemas:
    StyleCustomFieldState: {}
    SortDescriptorDto:
      type: object
      properties:
        propertyName:
          type: string
        order:
          $ref: '#/components/schemas/SortOrderDto'
      additionalProperties: false
    ApiPaginatedResponseOfStyleCustomFieldDto:
      required:
        - status
        - code
        - data
        - pagination
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/StyleCustomFieldDto'
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
      additionalProperties: false
    ApiErrorResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/ErrorWrapper'
      additionalProperties: false
    SortOrderDto: {}
    ApiResponseStatus: {}
    StyleCustomFieldDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type: string
        userDefinedId:
          type:
            - 'null'
            - string
        type:
          $ref: '#/components/schemas/CustomFieldType'
        state:
          $ref: '#/components/schemas/StyleCustomFieldState'
        position:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        maxChar:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        allowedDecimals:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: uint8
        numericVariantCalculationFormula:
          $ref: '#/components/schemas/NumericVariantCalculationFormula'
        parentCustomFieldId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int64
        parentCustomFieldName:
          type:
            - 'null'
            - string
        allowedValues:
          type: array
          items:
            $ref: '#/components/schemas/StyleCustomFieldAllowedValueDto'
        associatedBrands:
          type: array
          items:
            $ref: '#/components/schemas/AssociatedItemDto'
        associatedGroups:
          type: array
          items:
            $ref: '#/components/schemas/AssociatedItemDto'
        associatedStyleCategories:
          type: array
          items:
            $ref: '#/components/schemas/AssociatedItemDto'
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    PaginationInfo:
      required:
        - hasMore
        - cursor
      type: object
      properties:
        hasMore:
          type: boolean
        cursor:
          type: string
      additionalProperties: false
    ErrorWrapper:
      type: object
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    CustomFieldType: {}
    NumericVariantCalculationFormula: {}
    StyleCustomFieldAllowedValueDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        value:
          type: string
        userDefinedId:
          type:
            - 'null'
            - string
        parentAllowedValueId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int64
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    AssociatedItemDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type: string
      additionalProperties: false
    ErrorDetailDto:
      required:
        - type
        - field
        - value
      type: object
      properties:
        type:
          type: string
        field:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - string
      additionalProperties: false

````